{
  "codeName" : "Repeat",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSFORMS/Repeat.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom",
    "actionName" : "GETDRAFTFROM",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraftfrom",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft",
    "actionName" : "GetDraft",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "loaddraft",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetDraft"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "logicName" : "重复器测试",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "bookid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "子表单（引用表单）",
      "codeName" : "grouppanel1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "codeName" : "bookchild1s",
        "getContentPSControl" : {
          "codeName" : "Main",
          "controlType" : "FORM",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create",
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
            }
          },
          "defaultLabelWidth" : 130,
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1/PSFORMS/Main.json",
          "getGetDraftFromPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraftfrom",
            "actionName" : "GETDRAFTFROM",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraftfrom",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraft",
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
            }
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load",
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
            }
          },
          "logicName" : "主编辑表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
              }
            }, {
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
              }
            }, {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "编辑表单处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true
          },
          "getPSDEFormItems" : [ {
            "id" : "srfupdatedate",
            "hidden" : true,
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "srforikey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfkey",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKCHILD1ID",
              "codeName" : "BookChild1Id"
            }
          }, {
            "id" : "srfmajortext",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKCHILD1NAME",
              "codeName" : "BookChild1Name"
            }
          }, {
            "id" : "srftempmode",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfuf",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfdeid",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfsourcekey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "bookchild1name",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKCHILD1NAME",
              "codeName" : "BookChild1Name"
            }
          }, {
            "id" : "type",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "TYPE",
              "codeName" : "TYPE"
            }
          }, {
            "id" : "bookchild1id",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "BOOKCHILD1ID",
              "codeName" : "BookChild1Id"
            }
          } ],
          "getPSDEFormPages" : [ {
            "caption" : "基本信息",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "actionGroupExtractMode" : "ITEM",
              "caption" : "图书子1基本信息",
              "codeName" : "group1",
              "detailStyle" : "DEFAULT",
              "detailType" : "GROUPPANEL",
              "name" : "group1",
              "getPSDEFormDetails" : [ {
                "caption" : "图书子1名称",
                "codeName" : "bookchild1name",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "bookchild1name",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "BOOKCHILD1NAME",
                  "codeName" : "BookChild1Name"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "maxLength" : 200,
                  "name" : "bookchild1name"
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "caption" : "类型",
                "codeName" : "type",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "type",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "TYPE",
                  "codeName" : "TYPE"
                },
                "getPSEditor" : {
                  "editorType" : "DROPDOWNLIST",
                  "name" : "type",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList44.json"
                  },
                  "singleSelect" : true
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : false,
                "needCodeListConfig" : true,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "childColLG" : -1,
                "childColMD" : 24,
                "childColSM" : -1,
                "childColXS" : -1,
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false,
              "showCaption" : true
            }, {
              "caption" : "图书子1标识",
              "codeName" : "bookchild1id",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 0,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "name" : "bookchild1id",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "BOOKCHILD1ID",
                "codeName" : "BookChild1Id"
              },
              "getPSEditor" : {
                "editorType" : "HIDDEN",
                "name" : "bookchild1id"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "allowEmpty" : true,
              "hidden" : true,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColLG" : -1,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove",
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
            }
          },
          "tabHeaderPos" : "TOP",
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update",
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BookChild1.json"
            }
          },
          "noTabHeader" : true,
          "name" : "bookchild1s_form",
          "modelid" : "93b32080d4141f98597ca14ea1667462",
          "modeltype" : "PSDEFORM_EDITFORM"
        },
        "contentType" : "FORM",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "fieldName" : "bookchild1s",
        "name" : "bookchild1s",
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "子表单（引用表格）",
      "codeName" : "grouppanel2",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel2",
      "getPSDEFormDetails" : [ {
        "codeName" : "bookchild2s",
        "getContentPSControl" : {
          "aggMode" : "NONE",
          "codeName" : "Main",
          "columnEnableFilter" : 2,
          "columnEnableLink" : 2,
          "controlType" : "GRID",
          "getCreatePSControlAction" : {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
            }
          },
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2/PSGRIDS/Main.json",
          "getFetchPSControlAction" : {
            "modelref" : true,
            "id" : "fetch",
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
            }
          },
          "getGetDraftPSControlAction" : {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
            }
          },
          "getGetPSControlAction" : {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
            }
          },
          "groupMode" : "NONE",
          "logicName" : "主表格",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
              }
            }, {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
              }
            }, {
              "actionType" : "DEDATASET",
              "name" : "fetch",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "FetchDefault"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
              }
            } ],
            "userDRAction" : "READ",
            "enableDEFieldPrivilege" : false,
            "id" : "数据表格处理器"
          },
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true
          },
          "getPSDEGridColumns" : [ {
            "align" : "LEFT",
            "cLConvertMode" : "NONE",
            "getCapPSLanguageRes" : {
              "defaultContent" : "图书子2名称",
              "lanResTag" : "DEF.LNAME.BOOKCHILD2NAME",
              "lanResType" : "DEF.LNAME",
              "name" : "属性逻辑名称（DEF.LNAME.*）[BOOKCHILD2NAME]",
              "refFlag" : true
            },
            "caption" : "图书子2名称",
            "codeName" : "bookchild2name",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "bookchild2name",
            "excelCaption" : "图书子2名称",
            "name" : "bookchild2name",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "BOOKCHILD2NAME",
              "codeName" : "BOOKCHILD2Name"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          }, {
            "align" : "LEFT",
            "cLConvertMode" : "FRONT",
            "caption" : "类型",
            "codeName" : "type",
            "columnType" : "DEFGRIDCOLUMN",
            "dataItemName" : "type",
            "excelCaption" : "类型",
            "name" : "type",
            "noPrivDisplayMode" : 1,
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList44.json"
            },
            "getPSAppDEField" : {
              "name" : "TYPE",
              "codeName" : "TYPE"
            },
            "width" : 150,
            "widthUnit" : "PX",
            "enableRowEdit" : true,
            "enableSort" : true
          } ],
          "getPSDEGridDataItems" : [ {
            "dataType" : 25,
            "name" : "bookchild2name",
            "getPSAppDEField" : {
              "name" : "BOOKCHILD2NAME",
              "codeName" : "BOOKCHILD2Name"
            }
          }, {
            "dataType" : 25,
            "name" : "type",
            "getPSAppDEField" : {
              "name" : "TYPE",
              "codeName" : "TYPE"
            }
          }, {
            "dataType" : 25,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "BOOKCHILD2ID",
              "codeName" : "BOOKCHILD2Id"
            }
          }, {
            "dataType" : 25,
            "name" : "srfdataaccaction",
            "getPSAppDEField" : {
              "name" : "BOOKCHILD2ID",
              "codeName" : "BOOKCHILD2Id"
            },
            "dataAccessAction" : true
          }, {
            "dataType" : 25,
            "name" : "bookid",
            "getPSAppDEField" : {
              "name" : "BOOKID",
              "codeName" : "BookId"
            }
          }, {
            "dataType" : 25,
            "name" : "srfmajortext",
            "getPSAppDEField" : {
              "name" : "BOOKCHILD2NAME",
              "codeName" : "BOOKCHILD2Name"
            }
          } ],
          "getPSDEGridEditItems" : [ {
            "caption" : "图书子2名称",
            "codeName" : "bookchild2name",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "bookchild2name",
            "getPSAppDEField" : {
              "name" : "BOOKCHILD2NAME",
              "codeName" : "BOOKCHILD2Name"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 200,
              "name" : "bookchild2name"
            },
            "allowEmpty" : true
          }, {
            "caption" : "类型",
            "codeName" : "type",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "type",
            "getPSAppDEField" : {
              "name" : "TYPE",
              "codeName" : "TYPE"
            },
            "getPSEditor" : {
              "editorType" : "DROPDOWNLIST",
              "name" : "type",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList44.json"
              },
              "singleSelect" : true
            },
            "allowEmpty" : false,
            "needCodeListConfig" : true
          }, {
            "caption" : "图书子2标识",
            "codeName" : "srfkey",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "name" : "srfkey",
            "getPSAppDEField" : {
              "name" : "BOOKCHILD2ID",
              "codeName" : "BOOKCHILD2Id"
            },
            "getPSEditor" : {
              "editorType" : "HIDDEN",
              "name" : "srfkey"
            },
            "allowEmpty" : true
          } ],
          "pagingSize" : 20,
          "getRemovePSControlAction" : {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
            }
          },
          "sortMode" : "REMOTE",
          "getUpdatePSControlAction" : {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/BOOKCHILD2.json"
            }
          },
          "hasWFDataItems" : false,
          "enableColFilter" : false,
          "enableCustomized" : true,
          "enableGroup" : false,
          "enablePagingBar" : true,
          "enableRowEdit" : true,
          "enableRowEditOrder" : false,
          "enableRowNew" : true,
          "forceFit" : false,
          "hideHeader" : false,
          "noSort" : false,
          "singleSelect" : false,
          "name" : "bookchild2s_grid",
          "modelid" : "b1dca72ce843b7645e11a4b32c655a69",
          "modeltype" : "PSDEGRID"
        },
        "contentType" : "GRID",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "fieldName" : "bookchild2s",
        "name" : "bookchild2s",
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "子表单（重复器表单）",
      "codeName" : "grouppanel3",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel3",
      "getPSDEFormDetails" : [ {
        "codeName" : "bookchild3s",
        "contentType" : "REPEATER",
        "detailStyle" : "DEFAULT",
        "detailType" : "MDCTRL",
        "fieldName" : "bookchild3s",
        "name" : "bookchild3s",
        "getPSDEFormDetails" : [ {
          "caption" : "书名称",
          "codeName" : "bookname",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "bookname",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "bookname"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "caption" : "类型",
          "codeName" : "type",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "type",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "type",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList44.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : false,
          "needCodeListConfig" : true,
          "repeatContent" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "子表单（重复器表格）",
      "codeName" : "grouppanel4",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel4",
      "getPSDEFormDetails" : [ {
        "codeName" : "bookchild4s",
        "contentType" : "REPEATER",
        "detailStyle" : "STYLE2",
        "detailType" : "MDCTRL",
        "fieldName" : "bookchild4s",
        "name" : "bookchild4s",
        "getPSDEFormDetails" : [ {
          "caption" : "重复器表格属性1",
          "codeName" : "repeatgridfield",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "repeatgridfield",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "repeatgridfield"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "caption" : "重复器表格属性2",
          "codeName" : "repeatgridfield2",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "repeatgridfield2",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "repeatgridfield2",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList44.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : false,
          "needCodeListConfig" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "codeName" : "rawitem1",
          "contentType" : "RAW",
          "detailStyle" : "DEFAULT",
          "detailType" : "RAWITEM",
          "name" : "rawitem1",
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSRawItem" : {
            "caption" : "\n这是一个表格重复器中的内容",
            "contentType" : "RAW",
            "name" : "rawitem1",
            "rawItemHeight" : -1.0,
            "rawItemWidth" : -1.0
          },
          "rawContent" : "\n这是一个表格重复器中的内容",
          "rawItemHeight" : -1.0,
          "rawItemWidth" : -1.0,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "actionType" : "UIACTION",
          "caption" : "打开HTML界面",
          "codeName" : "button1",
          "detailStyle" : "DEFAULT",
          "detailType" : "BUTTON",
          "name" : "button1",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "form_button1"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEDATA",
            "caption" : "打开HTML界面",
            "codeName" : "OpenHtml",
            "frontProcessType" : "OPENHTMLPAGE",
            "fullCodeName" : "Book_OpenHtml",
            "htmlPageUrl" : "https://www.baidu.com",
            "name" : "OpenHtml",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
            },
            "timeout" : 60000,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "OpenHtml",
            "uIActionType" : "DEUIACTION",
            "id" : "OpenHtml@Book"
          },
          "tooltip" : "打开HTML界面",
          "uIActionTarget" : "SINGLEDATA",
          "repeatContent" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "子表单（重复器1：1表单）",
      "codeName" : "grouppanel5",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel5",
      "getPSDEFormDetails" : [ {
        "codeName" : "bookchild5s",
        "contentType" : "REPEATER",
        "detailStyle" : "STYLE3",
        "detailType" : "MDCTRL",
        "fieldName" : "bookchild5s",
        "name" : "bookchild5s",
        "getPSDEFormDetails" : [ {
          "caption" : "名称",
          "codeName" : "formitem2",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "formitem2",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "TEXTBOX",
            "name" : "formitem2"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "repeatContent" : true,
          "showCaption" : true
        }, {
          "caption" : "类型",
          "codeName" : "formitem3",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "formitem3",
          "noPrivDisplayMode" : 1,
          "getPSEditor" : {
            "editorType" : "DROPDOWNLIST",
            "name" : "formitem3",
            "getPSAppCodeList" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList44.json"
            },
            "singleSelect" : true
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : false,
          "needCodeListConfig" : true,
          "repeatContent" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "caption" : "书标识",
      "codeName" : "bookid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "bookid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "bookid"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "hidden" : true,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    }
  },
  "noTabHeader" : true,
  "modelid" : "D332389C-2866-42EC-9FF5-0CCDAF1A9EA0",
  "modeltype" : "PSDEFORM_EDITFORM"
}